routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use App\Http\Controllers\MessagesController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\UsersController;
use App\Http\Controllers\RolesController;
use App\Http\Controllers\TagsController;
use App\Http\Controllers\NotesController;

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('test', function() {

    return \App\Models\User::with('mensajes')->get();
});

Route::get('/', 'App\Http\Controllers\MessagesController@create')->name('mensajes.index');

Route::middleware(['auth'])->group(function () {

    Route::resource('usuarios', UsersController::class);
    Route::put('usuarios-cambiaestado/{id}','App\Http\Controllers\UsersController@cambiaEstado')->name('usuarios.estado');   
    
    Route::resource('mensajes', MessagesController::class);
    Route::get('mensajes/pdf', 'App\Http\Controllers\MessagesController@pdf')->name('mensajes.pdf');   
    
    Route::get('mensajes-exportar', 'App\Http\Controllers\MessagesController@export')->name('mensajes.export');
    Route::get('mensajes-importar', 'App\Http\Controllers\MessagesController@import')->name('mensajes.import');
    Route::post('mensajes-importar', 'App\Http\Controllers\MessagesController@import')->name('mensajes.import');
    
    Route::resource('roles', RolesController::class);
    Route::put('roles-cambiaestado/{id}','App\Http\Controllers\RolesController@cambiaEstado')->name('roles.estado');
    
    Route::resource('tags', TagsController::class);
    Route::resource('notas', NotesController::class);
    
    Route::get('componentes', 'App\Http\Controllers\PagesController@componentes')->name('componentes');
    
});


Route::get('documentacion', 'App\Http\Controllers\PagesController@docu')->name('docu');


//AJAX
Route::get('/get-nueva-nota', 'PrtiController@getClasificacionesCGCombo');

//******************************************************************************* */

Auth::routes();

resources/views/usuarios/edit.blade.php
@extends('adminlte::page')

@section('title', 'Editar usuario')

@section('content_header')
    <h2 class="alert alert-info col-12 col-xs-8 col-sm-8 col-md-8 col-lg-8">Edicion de perfil de usuario</h2>
@stop

@section('content')

@if (Session()->has('info'))
<div class="alert alert-success"> {{ Session('info') }}</div>
@endif

<form action="{{ route('usuarios.update',$usuario->id)}}" method="POST">
    {!!method_field('PUT')!!}
    {!! csrf_field() !!}

<div class="row">
     
    <div class="col-12 col-xs-4 col-sm-4 col-md-4 col-lg-4">
        <h5 class="alert alert-info">Perfil 👤</h5>
        <div class="form-group">
            <label class="form-label" for="name">Nombre </label>
            <input class="form-control" type="text" name="name" id="name" value="{{ $usuario->name }}">
            @if ($errors->first('name'))
            <span class="alert alert-danger btn btn-sm">{{$errors->first('name')}}</span>
            @endif
        </div>
          
        <div class="form-group">
            <label class="form-label" for="email">Email </label>
            <input class="form-control" type="email" id="email" name="email" value="{{ $usuario->email }}">
            @if ($errors->first('email'))
                <span class="alert alert-danger btn btn-sm"> {{$errors->first('email') }}</span>  
            @endif                 
        </div>       

    </div>

    <div class="col-12 col-xs-4 col-sm-4 col-md-4 col-lg-4 ">
        <h5 class="alert alert-info">Roles 👥</h5>
        <div class="row">           
            @foreach ($roles as $rol )                
                <div class="checkbox mb-10 pb-2 col-12 col-xs-12 col-sm-12 col-md-12 col-lg-12">
                    <input type="checkbox" name="roles[]" id="roles" {{ $usuario->roles->pluck('id')->contains($rol->id) ? 'checked' : 'none' }} value="{{$rol->id}}">
                    {{ $rol->display_name}}
                </div>
            @endforeach
             @if ($errors->first('roles'))
                <span class="alert alert-danger btn btn-sm"> {{$errors->first('roles') }}</span> 
            @endif
        </div>
    </div>
</div>

<div class="col-12 col-xs-8 col-sm-8 col-md-8 col-lg-8 text-center mt-5">
    <button type="submit" class="btn btn-success btn-md">Actualizar</button>
</div>

</form>





@endsection

resources/views/usuarios/index.blade.php
@extends('adminlte::page')

@section('title', 'Usuarios')

@section('content_header')
    <h1 class="text-center alert alert-info">Modulo de usuarios</h1>
@stop

@section('content')

@if (Session()->has('info'))
    <div class="alert alert-success"> {{Session('info')}}</div>
@endif

<table class="table table-striped table-hover text-center">    
    <thead>
        <tr class="table-info">
            <th>ID</th>
            <th>Nombre</th>
            <th>Email</th>
            <th>Rol</th>
            <th>Acciones</th>
                       
        </tr>
    </thead>

    <tbody>       

        @foreach ($users as $u)
            <tr>
                <td>{{ $u->id }}</td>
                <td>{{ $u->name }}</td>
                <td>{{ $u->email }}</td>
                <td>
                    <ul>
                        @foreach ($u->roles as $rol) 
                        <li class="text-left"> {{  $rol->display_name }} </li>                    
                        @endforeach
                    </ul>
                </td> 
                <td>
                    <a class="btn btn-info btn-sm" href="{{ route('usuarios.show',$u->id)}}">Ver</a>
                    <a class="btn btn-warning btn-sm" href="{{ route('usuarios.edit',$u->id)}}">Editar</a>
                    <form action="{{ route('usuarios.destroy',$u->id)}}" method="post" class="d-inline">
                        {!!method_field('DELETE')!!}
                        {!! csrf_field() !!}
                        <button class="btn btn-danger btn-sm" type="submit">Eliminar</button>
                    </form>
                   
                    <form action="{{ route('usuarios.estado',$u->id)}}" method="post" class="d-inline">
                        {!!method_field('PUT')!!}
                        {!! csrf_field() !!}
                        <button class="{{ $u->active ? 'btn btn-info btn-sm' : 'btn btn-danger btn-sm' }}" type="submit">{{ $u->active ? 'Activo' : 'Inactivo' }}</button>
                    </form>
                   
                </td>           
               
            </tr>
                    
        @endforeach
    
    </tbody>
</table>

@endsection

resources/views/usuarios/show.blade.php
@extends('adminlte::page')

@section('title', 'Ver Usuario')

@section('content')

<div class="card">
    <div class="card-title text-left alert alert-info">
         Ver usuario 👥
    </div>
       
    <div class="card-body">
       
        <div class="row">

            <div class="col-xs-12 col-sm-12 col-md-12">

                <table class="table table-striped table-hover table-bordered">
                    <tbody>
                        <tr> 
                            <td><strong>Nombre</strong></td>
                            <td> {{ $usuario->name }}</td>
                        </tr>

                        <tr> 
                            <td><strong>Email</strong></td>
                            <td> {{ $usuario->email }}</td>
                        </tr>

                        <tr> 
                            <td><strong>Activo</strong></td>
                            <td> {{ $usuario->active ? '✅' : '❌' }}</td>
                        </tr>

                        <tr> 
                            <td><strong>Roles</strong></td>
                            <td>
                                <ul> 
                                    @foreach ($usuario->roles as $rol)
                                        <li class="text-left">{{ $rol->display_name }}</li>                                        
                                    @endforeach
                                </ul>

                            </td>
                        </tr>

                    </tbody>
                </table>
               

            </div>

        </div>

    </div>
</div>

@endsection